Subject: Re: [bug#73494] [PATCH v3 0/3] tmpfs /run

From: Hilton Chain <[email-masked]>
Date: Thu, 13 Mar 2025 10:06:35 +0800

On Sun, 09 Mar 2025 15:34:58 +0800,
Maxim Cournoyer wrote:
>
> Hi,
>
> Hilton Chain <[email-masked]> writes:
>
> > V2 -> V3:
> >
> >   For file-system-mapping->bind-mount, drop the first 4 characters in source
> >   when it's a string starting with "/var/run", instead of using canonicalized
> >   source (as in V2), since the source can't be ensured to exist at evaluation
> >   time.
> >
> > Hilton Chain (3):
> >   file-systems: %base-file-systems: Add tmpfs /run.
>
> This one looks good to me.
>
> >   services: cleanup: Make /var/run a symlink of /run.
>
> This still has the jami system test failing (make check-system
> TESTS=jami).  This must be resolved before we can merge this.
>
> >   services: activation: Continue on exceptions.
>
> I like it, but I think you can't use the i18n or diagnostics user-facing
> modules on the build side, as their closure is too big to be reasonably
> imported.  Most modules intended to be used on the builder side are
> namespaced under (guix build ...), but there are a few excptions.

Just checked, these two modules are already inside (gnu build activation)'s
closure.

> I'll try to understand the jami test failure, but my last experiments
> were not successful.  Help welcome.

Did your have a luck with the dbus change you mentioned on IRC?